import e from "axios";
const l = {
  options: Array,
  // 表格配置
  // 点击编辑时是否编辑行
  editRow: Boolean,
  // 分页配置，为 true 时自动调用分页接口
  showPagination: {
    type: Boolean
    // 是否显示分页
  },
  // 发送请求的 axios 实例
  server: {
    type: Function,
    default: e
  },
  // 获取分页的请求地址
  getUrl: String,
  // 获取分页时传入分页对象（pageSize，currentPage）,与 withQuery 在 axios 中的哪个字段，默认 get 请求为 params，post 请求为 data。false 为不携带参数
  withDataPath: {
    type: [String, Boolean],
    default: null
  },
  // 获取分页时加入的分页对象参数在 axios 的哪个对象路径下，false 不携带
  withPagePath: {
    type: [String, Boolean],
    default: null
  },
  // 请求时的查询参数
  withQuery: Object,
  // 获取分页时查询参数在 axios 的哪个对象路径下
  withQueryPath: {
    type: [String, Boolean],
    default: null
  },
  // 发送请求是携带的参数序列化，withPage 为 "data" 时生效
  stringify: Boolean,
  // 请求分页的配置
  getConfig: {
    type: Object,
    default: () => ({
      method: "get"
    })
  },
  // 要替换请求时分页参数的字段
  replaceFields: {
    type: Object,
    default: () => ({ pageSize: "pageSize", currentPage: "currentPage" })
  },
  // 获取数据之后 data 数据的路径
  dataPath: {
    type: String,
    default: "data.data"
  },
  // 获取数据之后 总条数的路径
  totalPath: {
    type: String,
    default: "data.total"
  },
  // 自动获取数据时，在表格上显示 element 的 v-loading
  showLoadInGet: {
    type: Boolean,
    default: !0
  },
  // 显示在 v-loading 加载图标下方的加载文案
  elementLoadingText: {
    type: String,
    default: "正在加载中..."
  },
  // 超过多少毫秒后更换 v-loading 的 提示文字
  elLoadingTextTimeout: {
    type: Number,
    default: 8e3
  },
  // 超过 EmptyTipTimeout 毫秒后更换 v-loading 的 提示文字
  elLoadingTextTimeoutText: {
    type: String,
    default: "数据加载较慢，请耐心等待..."
  },
  // 在自动获取数据时，table 中显示提示的文字，为假值时则不显示
  emptyTip: {
    type: String,
    default: "正在加载中..."
  },
  // 超过多少毫秒后更换提示文字
  emptyTipTimeout: {
    type: Number,
    default: 8e3
  },
  // 超过 EmptyTipTimeout 毫秒后更换的提示文字
  emptyTipTimeoutText: {
    type: String,
    default: "数据加载较慢，请耐心等待..."
  },
  // 当前页数的初始值
  defaultCurrentPage: Number,
  // 每页显示条目数的初始值
  defaultPageSize: Number,
  // 全局的控制栏配置
  actionConfig: {
    type: Object,
    default: () => ({})
  }
}, o = {
  edit: null,
  // 操作栏编辑
  delete: null,
  // 操作栏删除
  confirmEditRow: null,
  // 确定编辑行
  cancelEditRow: null,
  // 取消编辑行
  confirmEditCell: null,
  // 单元格内确定编辑
  cancelEditCell: null,
  // 单元格内取消编辑
  beforeGetData: (t) => typeof t == "object",
  // 自动请求分页之前
  afterGetData: (t) => typeof t == "object",
  // 自动请求分页成功后
  failToGetData: (t) => typeof t == "object"
  // 自动请求分页失败
};
export {
  o as tableEmits,
  l as tableProps
};
